// @ts-check
import prettier from 'prettier'
import withNuxt from './.nuxt/eslint.config.mjs'

export default withNuxt(
  // Your custom configs here
  {
    rules: {
      'vue/html-self-closing': 'off',
      'vue/singleline-html-element-content-newline': 'off',
      '@stylistic/brace-style': 'off',
      '@stylistic/arrow-parens': 'off',
      '@stylistic/operator-linebreak': 'off',
    },
    plugins: {
      prettier,
    },
  },
)
  .override('nuxt/vue/rules', {
    ignores: ['components/ui/**'],
  })
  .override('nuxt/typescript/rules', {
    ignores: ['components/ui/**'],
  })
  .override('nuxt/disables/routes', {
    ignores: ['components/ui/**'],
  })
