import { useLoginState } from '~/stores/loginState'

export default defineNuxtRouteMiddleware((to, from) => {
  if (import.meta.server) return

  const loginState = useLoginState()

  if (to.meta.requiresAuth && !loginState.isLoggedIn) {
    // let queries = {
    //   redirect: to.fullPath,
    // }

    return navigateTo({
      path: '/user/authenticate',
      query: {
        redirect: to.fullPath || from.fullPath,
      },
    })
  }
})
