// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  modules: [
    '@nuxt/eslint',
    '@nuxt/icon',
    '@nuxt/fonts',
    '@nuxt/image',
    '@nuxt/test-utils/module',
    '@nuxtjs/tailwindcss',
    'shadcn-nuxt',
    '@nuxtjs/color-mode',
    '@pinia/nuxt',
    'pinia-plugin-persistedstate',
    'dayjs-nuxt',
    '@formkit/auto-animate',
    '@vueuse/nuxt',
    'nuxt-lodash',
  ],
  ssr: false,
  devtools: { enabled: true },

  colorMode: {
    classSuffix: '',
  },

  runtimeConfig: {
    public: {
      baseURL: 'https://service5.fenshenzhike.com:1219/',
    },
  },
  compatibilityDate: '2024-11-01',

  eslint: {
    config: {
      stylistic: {
        indent: 2,
        quotes: 'single',
        semi: false,
        commaDangle: 'only-multiline',
        braceStyle: '1tbs',
      },
    },
  },

  icon: {
    mode: 'svg',
  },

  shadcn: {
    /**
     * Prefix for all the imported component
     */
    prefix: '',
    /**
     * Directory that the component lives in.
     * @default "./components/ui"
     */
    componentDir: './components/ui',
  },
})