import type { IBreadcrumbItem } from '~/types'

export const useBreadcrumbs = defineStore('breadcrumbs', () => {
  const breadcrumbs = ref<IBreadcrumbItem[]>([])

  const setBreadcrumbs = (items: IBreadcrumbItem[]) => {
    breadcrumbs.value = items
  }

  const clearBreadcrumbs = () => {
    breadcrumbs.value = []
  }

  const getBreadcrumbs = () => {
    return breadcrumbs.value
  }

  return {
    breadcrumbs,
    getBreadcrumbs,
    setBreadcrumbs,
    clearBreadcrumbs,
  }
})
